Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.provider
Class SAttributeItemProviderShallow

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.IIDItemProvider
                      org.metaabm.provider.SNamedItemProvider
                          org.metaabm.provider.SAttributeItemProvider
                              org.metaabm.provider.SAttributeItemProviderShallow

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class SAttributeItemProviderShallow

extends SAttributeItemProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.metaabm.provider.MetaABMItemProvider
`displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`SAttributeItemProviderShallow(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, SAttribute attr)`

Method Summary
`java.util.Collection<?>` | `getChildren(java.lang.Object object)`
`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>` | `getChildrenFeatures(java.lang.Object object)` This specifies how to implement `SAttributeItemProvider.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`.
`java.lang.Object` | `getEditableValue(java.lang.Object object)`
`java.util.Collection<?>` | `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Object sibling)`
`java.lang.Object` | `getParent(java.lang.Object object)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.

Methods inherited from class org.metaabm.provider.SAttributeItemProvider
`addAvailableTypesPropertyDescriptor, addDefaultValuePropertyDescriptor, addDerivedPropertyDescriptor, addGatherDataPropertyDescriptor, addImmutablePropertyDescriptor, addOwnerPropertyDescriptor, addSTypePropertyDescriptor, addUnitsPropertyDescriptor, collectNewChildDescriptors, createSetCommand, getChildFeature, getForeground, getForeground, getImage, notifyChanged`

Methods inherited from class org.metaabm.provider.SNamedItemProvider
`addDescriptionPropertyDescriptor, addPluralLabelPropertyDescriptor, createAddCommand, suggestID, suggestLabel`

Methods inherited from class org.metaabm.provider.IIDItemProvider
`addIDPropertyDescriptor, addLabelPropertyDescriptor, getResourceLocator, hasChildren`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getElements, getFeatureText, getFeatureValue, getFont, getFont, getImage, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider
`getColumnImage, getColumnText`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider
`getBackground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground`

Constructor Detail

### SAttributeItemProviderShallow

    public SAttributeItemProviderShallow(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                         SAttribute attr)

Method Detail

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  Description copied from class: `SAttributeItemProvider`
  This specifies how to implement `SAttributeItemProvider.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `SAttributeItemProvider`

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                          java.lang.Object sibling)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `getNewChildDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `SAttributeItemProvider`

### getEditableValue

    public java.lang.Object getEditableValue(java.lang.Object object)

  Specified by:
    `getEditableValue` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getEditableValue` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  Description copied from class: `SAttributeItemProvider`
  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `SAttributeItemProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `SAttributeItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  Description copied from class: `SAttributeItemProvider`
  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `SAttributeItemProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD